/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package mobirentdesktop.entities;

import connectors.NameConnector;
import java.util.ArrayList;
import peaconnector.SEAnnot;
import peaconnector.XmlSerializerSchemas;

/**
 *
 * @author Budai Attila
 */
@ClassNameConnector(guiName = "Order")
@XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "order"))
public class Order {

    @XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "customerid"))
    private String customerID;
    @XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "ordertime"))
    private String orderTime;
    @XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "status"))
    private String status;
    @XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "ordereddvds"))
    private ArrayList<DVD> orderedDvds = new ArrayList<DVD>();

    public Order( String customerID, String orderTime, String status) {

        this.customerID = customerID;
        this.orderTime = orderTime;
        this.status = status;
    }

    public Order() {
    }

    @NameConnector(guiName = "Rendelési idő")
    public String getOrderTime() {
        return orderTime;
    }

    @NameConnector(guiName = "Rendelt dvd-k")
    public ArrayList<DVD> getOrderedDvds() {
        return orderedDvds;
    }

    @NameConnector(guiName = "Státusz")
    public String getStatus() {
        return status;
    }

    public String getCustomerID() {
        return customerID;
    }



    @NameConnector(guiName = "Rendelési idő")
    public void setCustomerID(String customerID) {
        this.customerID = customerID;
    }


    public void setOrderTime(String orderTime) {
        this.orderTime = orderTime;
    }

    @NameConnector(guiName = "Rendelt dvd-k")
    public void setOrderedDvds(ArrayList<DVD> orderedDvds) {
        this.orderedDvds = orderedDvds;
    }

    @NameConnector(guiName = "Státusz")
    public void setStatus(String status) {
        this.status = status;
    }
}
